rdrevert
8
March 2016
Linux Audio Manual

# rdrevert

Revert a Rivendell database to a previous schema version
Fred
Gleason
fredg@paravelsystems.com
Application Author

          rdrevert
          OPTIONS
          --set-schema=schema
          --set-version=version

## Description

`rdrevert` 8 can be used to revert the schema of a Rivendell database to an earlier version, specified as either a Rivendell version string or an absolute schema version number. If no arguments are given, `rdrevert` 8 will print the current database schema version to standard output and then exit.

## Options

`--set-schema=`schema

  Set the version number of the schema to which to revert. `rdrevert` 8 can revert back up to schema version 242 (v2.10.0) inclusive. Attempting to revert to an earlier schema than 242 will generate an `unsupported schema` error.

`--set-version=`version

  Determine the schema to which to revert on the basis of the specified Rivendell version --e.g. `2.10.3`.